Pular para o conteúdo principal
DELETE
/
api
/
v1
/
llm
/
vector_stores
/
{vector_store_id}
/
files
/
{file_id}
Python (SDK)
from openapi import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.vector_stores.delete_file(vector_store_id="vs_abc123", file_id="file-abc123")

    # Handle response
    print(res)
{
  "id": "file-abc123",
  "object": "vector_store.file.deleted",
  "deleted": true
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Parâmetros de caminho

vector_store_id
string
obrigatório

A ID do armazenamento de vetores ao qual o arquivo pertence.

file_id
string
obrigatório

O ID do arquivo a ser excluído.

Resposta

200 - application/json

OK

Status de exclusão para um arquivo de armazenamento de vetores.

id
string
obrigatório

O ID do arquivo excluído.

object
any
obrigatório

O tipo de objeto, que é sempre 'vector_store.file.deleted'.

deleted
boolean
obrigatório

Se a exclusão foi bem-sucedida.